Loading...
Searching...
No Matches
COMPS_DocEnv Struct Reference

`#include <comps_docenv.h>`

## Data Fields

COMPS_ObjDict * | properties
COMPS_ObjDict * | name_by_lang
COMPS_ObjDict * | desc_by_lang
COMPS_ObjList * | group_list
COMPS_ObjList * | option_list

## Detailed Description

COMPS_Object derivate representing environment element in comps.xml file

## Field Documentation

## desc_by_lang

COMPS_ObjDict* COMPS_DocEnv::desc_by_lang

language localization of description attribute

## group_list

COMPS_ObjList* COMPS_DocEnv::group_list

list of group_ids in environment

## name_by_lang

COMPS_ObjDict* COMPS_DocEnv::name_by_lang

language localization of name attribute

## option_list

COMPS_ObjList* COMPS_DocEnv::option_list

list of options in environment

## properties

COMPS_ObjDict* COMPS_DocEnv::properties

properties of group

The documentation for this struct was generated from the following file:

- comps_docenv.h